Package com.xebialabs.xlrelease.domain.events

# Class BlackoutCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.BlackoutCreatedEvent

All Implemented Interfaces:
  `CalendarEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class BlackoutCreatedEvent extends Object implements CalendarEvent, scala.Product, Serializable
Event published when a blackout is created on the calendar.

param: blackout the created blackout.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlackoutCreatedEvent(Blackout blackout)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlackoutCreatedEvent`
  `apply(Blackout blackout)`
  `Blackout`
  `blackout()`
  `boolean`
  `canEqual(Object x$1)`
  `BlackoutCreatedEvent`
  `copy(Blackout blackout)`
  `Blackout`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<Blackout>`
  `unapply(BlackoutCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### BlackoutCreatedEvent

    public BlackoutCreatedEvent(Blackout blackout)

- ## Method Details

  - ### apply

    public static BlackoutCreatedEvent apply(Blackout blackout)

  - ### unapply

    public static scala.Option<Blackout> unapply(BlackoutCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### blackout

    public Blackout blackout()

  - ### copy

    public BlackoutCreatedEvent copy(Blackout blackout)

  - ### copy$default$1

    public Blackout copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`